function M = measForRcAtt(n,m,thetas,att,scat,nScat,diff,minusBP,optsInput)

M = zeros(n,8*m,n);
%--- preallocated stuff
% sol = zeros(n); % solution of each ODE solving

%--- parameters for display
strnth = num2str(8*m);

%--- total attenuation
attTot = att + 2*pi*scat;

%--- precomputation of the rotated total attenuations
attRot = rotateImages(attTot,thetas(1:2*m));

%%--- forward code
for th = 1:8*m,
    disp(['theta = ',num2str(th),' / ',strnth]);
    tic
    for indR = 1:n,
%         disp(['theta = ',num2str(th),' / ',strnth,' ; r = ',num2str(indR),' / ',strnr])
        %--- compute the measurements associated with a pulse(indR,th)
        meas = measurements(n,m,thetas,attRot,scat,repmat(diff(indR,:),n,1), ...
            makeInput(n,m,indR,th,optsInput),nScat,th);
        
        %--- taking out the ballistic part or not
        if minusBP
            M(indR,th,:) = squeeze(sum(meas(:,th,2:end),3));
        else
            M(indR,th,:) = squeeze(sum(meas(:,th,:),3));
        end
        
    end
    toc
end
      
end