function M = measForRcScat(n,m,thetas,attRots,scat,nScat,diff,indIn,...
    indOut,minusSS,optsInput)
% given thIn, thOut, this function gives the minimum amount of
% measurements that is necessary to reconstruct the scattering coefficient
%
% if minusSS~=0, we take out the single scattering part from these
% measurements

indIn = mod(indIn - 1,8*m)+1;
indOut = mod(indOut - 1,8*m)+1;

M = zeros(n);

%%--- forward code
for indR = 1:n,
    disp(['iteration # ',num2str(indR),' / ',num2str(n)]);
    tic
    %--- compute the measurements associated with a pulse(indR,indThIn)
    meas = measurements(n,m,thetas,attRots,scat,diff, ...
        makeInput(n,m,indR,indIn,optsInput),nScat,indOut);

    %--- update the output
    if minusSS
        M(:,indR) = squeeze(sum(meas(:,indOut,:),3)- meas(:,indOut,2));
    else
        M(:,indR) = squeeze(sum(meas(:,indOut,:),3));
    end
    toc
end

end
